From 9f051c8643d623564a918c03f5863c4e9ed29fe4 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 17:45:27 -0800
Subject: [PATCH 2003/2012] Fall back on xcodebuild -sdk when xcrun --sdk is
 not supported

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 make/platform/clang_darwin.mk | 4 ++++
 1 file changed, 4 insertions(+)

diff --git llvm_release_38/projects/compiler-rt/make/platform/clang_darwin.mk macports_release_38/projects/compiler-rt/make/platform/clang_darwin.mk
index e7fe51c..8e04b72 100644
--- llvm_release_38/projects/compiler-rt/make/platform/clang_darwin.mk
+++ macports_release_38/projects/compiler-rt/make/platform/clang_darwin.mk
@@ -49,6 +49,10 @@ XCRunSdkPath = \
     result=`xcrun --sdk $(1).internal --show-sdk-path 2> /dev/null`; \
     if [ "$$?" != "0" ]; then \
       result=`xcrun --sdk $(1) --show-sdk-path 2> /dev/null`; \
+      if [ "$$?" != "0" ]; then \
+        result=`xcodebuild -sdk $(1) -version 2> /dev/null \
+                | sed -n 's/^Path: \(..*\)$$/\1/p'`; \
+      fi; \
       if [ "$$?" != "0" ]; then result=""; fi; \
     fi; \
     echo $$result)
-- 
2.10.1

